%define srcname wncksync

Name:          libwncksync
Version:       0.2.8
Release:       %mkrel 1
Summary:       Match .desktop files to window xid's and the reverse

Group:         System Environment/Libraries
License:       LGPLv3
URL:           https://launchpad.net/wncksync
Source0:       %{srcname}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-build

BuildRequires: dbus-glib-devel
BuildRequires: libwnck-devel
BuildRequires: libgtop2.0-devel
BuildRequires: gnome-menus-devel
BuildRequires: glib2-devel

%description
%{name} is a library and a DBus daemon for matching .desktop files
to window xid's and the reverse.


%package devel
Summary:       Match .desktop files to window xid's and the reverse
Group:         Development/Libraries
Requires:      pkgconfig
Requires:      %{name} = %{version}-%{release}

%description devel
The %{name}-devel package includes the header files for the
%{name} library.


%prep
%setup -q -n %{srcname}-%{version}
# temporary fix for implicit DSO linking
# reported upstream: https://bugs.launchpad.net/wncksync/+bug/578972
sed -i 's/CFLAGS="$CFLAGS -lm"/CFLAGS="$CFLAGS -lm -lX11"/g' configure


%build
aclocal
libtoolize
autoconf
autoconf configure.in
%configure
#make %{?_smp_mflags}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f $RPM_BUILD_ROOT%{_libdir}/gio/modules/libgiowncksync.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libwncksync.la


%clean
rm -rf $RPM_BUILD_ROOT


#%post -p /sbin/ldconfig
#%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LGPL
%{_libdir}/gio/modules/libgiowncksync.so
%{_libdir}/libwncksync.so.*
%{_libexecdir}/wncksyncdaemon
%{_datadir}/dbus-1/services/org.wncksync.Matcher.service


%files devel
%defattr(-,root,root,-)
%doc COPYING COPYING.LGPL
%{_includedir}/%{name}/%{name}/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libwncksync.so


%changelog
* Sat Jun 05 2010 Oliver Burger <rpm@mandrivauser.de> 0.2.8-1mud2010.1
- initial package for Mandriva Linux
- based upon Fedora package by Mathieu Bridon <bochecha@fedoraproject.org>
